﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.UI.Xaml.Grid.Helpers;
using System.Windows.Input;
using System.Windows;

namespace filter
{
    public class EventTriggerExt : System.Windows.Interactivity.EventTrigger
    {
        protected override void OnEvent(EventArgs eventArgs)
        {
            if (this.AssociatedObject is SfDataGrid && eventArgs is MouseButtonEventArgs)
            {
                var args = eventArgs as MouseButtonEventArgs;
                var dataGrid = this.AssociatedObject as SfDataGrid;
                var point = args.GetPosition(dataGrid.GetVisualContainer());
                
                var rowcolindex = dataGrid.GetVisualContainer().PointToCellRowColumnIndex(point, false);

                if (rowcolindex.IsEmpty)
                    return;

                var lineinfo = dataGrid.GetVisualContainer().ScrollColumns.GetVisibleLines().GetVisibleLineAtPoint(point.X);
                if (point.X > lineinfo.ClippedCorner)
                    return;
            }
            base.OnEvent(eventArgs);
        }
    }
    public class SpaceKeyDownEventTrigger : System.Windows.Interactivity.EventTrigger
    {

        public SpaceKeyDownEventTrigger() : base("KeyUp")
        {
        }

        protected override void OnEvent(EventArgs eventArgs)
        {
            var e = eventArgs as KeyEventArgs;
            if (e != null && e.Key == Key.Enter)
                base.OnEvent(eventArgs);
        }
    }
}
